<?php
if ( noo_landmark_is_plugin_active( 'realty-portal/realty-portal.php' ) ) :

	function noo_landmark_rp_sidebar() {
		register_sidebar( array(
			'name'          => __( 'Property Sidebar', 'noo-landmark' ),
			'id'            => 'property-sidebar',
			'description'   => __( 'Add widgets here to appear in your sidebar.', 'noo-landmark' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
		) );

		register_sidebar( array(
			'name'          => __( 'Agent Sidebar', 'noo-landmark' ),
			'id'            => 'agent-sidebar',
			'description'   => __( 'Add widgets here to appear in your sidebar.', 'noo-landmark' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
		) );
	}

	add_action( 'widgets_init', 'noo_landmark_rp_sidebar' );

	function noo_landmark_rp_add_gallery_image() {

		if ( !RP_Property::is_single_property() ) {
			return false;
		}

		$property_id    = get_the_ID();
		$header_show    = get_theme_mod( 'noo_property_post_header_show', 'gallery' );
		$gallery_active = 'active';
		$gallery_in     = 'in';
		$map_active     = '';
		$map_in         = '';
		if ( $header_show == 'map' ) {
			$gallery_active = '';
			$gallery_in     = '';
			$map_active     = 'active';
			$map_in         = 'in';
		}

		echo '<div class="noo-header-advance">';
		echo '<div class="noo-container">';
		echo '<div class="header-control noo-tab">';
		echo '<span class="' . esc_attr( $gallery_active ) . '" data-class="tab-gallery"><i class="fa fa-picture-o" aria-hidden="true"></i> ' . esc_html__( 'View Photo', 'noo-landmark' ) . '</span>';
		echo '<span class="' . esc_attr( $map_active ) . '" data-class="tab-map"><i class="fa fa-map-marker" aria-hidden="true"></i> ' . esc_html__( 'View Map', 'noo-landmark' ) . '</span>';
		echo '</div>';
		echo '</div>';
		echo '<div class="header-content noo-tab-content">';
		echo '<div class="content-tab tab-gallery ' . esc_attr( $gallery_in ) . '">';
		rp_gallery_image();
		echo '</div>';
		echo '<div class="content-tab tab-map ' . esc_attr( $map_in ) . '">';
		rp_box_location_on_map();
		echo '</div>';
		echo '</div>';
		echo '</div>';
	}

	add_action( 'noo_landmark_single_before', 'noo_landmark_rp_add_gallery_image' );

	function noo_landmark_rp_add_list_social() {
		global $property;
		?>
		<div class="noo-property-sharing">
			<span>
				<i class="noo-tooltip-action ion-android-share-alt" data-id="<?php echo esc_attr( $property->ID ); ?>" data-process="share"></i>
			</span>
			<?php rp_social_sharing_property(); ?>
		</div>
		<?php
	}

	add_action( 'rp_property_list_more_action', 'noo_landmark_rp_add_list_social', 6 );

	function noo_landmark_rp_add_sidebar() {
		RP_Template::get_template( 'menu-user.php', '', '', get_template_directory() . '/realty-portal/member' );
	}
	add_action( 'noo_before_sidebar', 'noo_landmark_rp_add_sidebar', 0 );

	if ( ! function_exists( 'noo_landmark_custom_list_floor_plan' ) ) :

		function noo_landmark_custom_list_floor_plan( $property_id, $index = 1 ) {

			$floor_plans = get_post_meta( $property_id, 'floor_plans', true );
			if ( ! is_array( $floor_plans ) ) {
				return;
			}

			$floor_plans = array_values( $floor_plans );
			$floor_plan  = $floor_plans[ $index ];

			$plan_title       = array_key_exists( 'plan_title', $floor_plan ) ? $floor_plan[ 'plan_title' ] : '';
			$plan_bedrooms    = array_key_exists( 'plan_bedrooms', $floor_plan ) ? $floor_plan[ 'plan_bedrooms' ] : '';
			$plan_bathrooms   = array_key_exists( 'plan_bathrooms', $floor_plan ) ? $floor_plan[ 'plan_bathrooms' ] : '';
			$plan_price       = array_key_exists( 'plan_price', $floor_plan ) ? $floor_plan[ 'plan_price' ] : '';
			$plan_size        = array_key_exists( 'plan_size', $floor_plan ) ? $floor_plan[ 'plan_size' ] : '';
			$plan_description = array_key_exists( 'plan_description', $floor_plan ) ? $floor_plan[ 'plan_description' ] : '';
			$plan_image       = array_key_exists( 'plan_image', $floor_plan ) ? $floor_plan[ 'plan_image' ] : '';
			if ( ! empty( $plan_title ) ) {
				?>
				<div class="rp-property-floor-plan-item rp-row">
					<span class="loading fa fa-spinner fa-spin"></span>
					<div class="rp-left rp-md-5">
						<div class="rp-property-floor-plan">
							<div class="rp-property-floor-plan-wrapper">
								<?php
								if ( is_array( $plan_image ) ) {
									foreach ( $plan_image as $image ) { ?>
										<a class="floor-plan-item"
										   href="<?php echo esc_attr( rp_thumb_src_id( $image, 'full', '178x126' ) ) ?>">
											<img src="<?php echo esc_attr( rp_thumb_src_id( $image, 'full', '178x126' ) ) ?>"
											     alt="<?php the_title() ?>"/>
										</a>
									<?php }
								}
								?>
							</div>
							<div class="rp-arrow-button">
								<i class="rp-arrow-back rp-icon-ion-ios-arrow-left"></i>
								<i class="rp-arrow-next rp-icon-ion-ios-arrow-right"></i>
							</div>
						</div><!-- /.rp-property-floor-plan -->
					</div>
					<div class="rp-right rp-md-7">
						<div class="floor-plan-content rp-row">
							<?php
							if ( ! empty( $plan_size ) ) {
								echo '<div class="rp-md-6">' . sprintf( wp_kses( __( '<strong>Size:</strong> %s', 'noo-landmark' ), rp_allowed_html() ), $plan_size ) . '</div>';
							}

							if ( ! empty( $plan_bedrooms ) ) {
								echo '<div class="rp-md-6">' . sprintf( wp_kses( __( '<strong>Rooms:</strong> %s', 'noo-landmark' ), rp_allowed_html() ), $plan_bedrooms ) . '</div>';
							}

							if ( ! empty( $plan_bathrooms ) ) {
								echo '<div class="rp-md-6">' . sprintf( wp_kses( __( '<strong>Baths:</strong> %s', 'noo-landmark' ), rp_allowed_html() ), $plan_bathrooms ) . '</div>';
							}

							if ( ! empty( $plan_price ) ) {
								echo '<div class="rp-md-6">' . sprintf( wp_kses( __( '<strong>Price:</strong> %s', 'noo-landmark' ), rp_allowed_html() ), $plan_price ) . '</div>';
							}
							?>
						</div>

						<?php
						if ( ! empty( $plan_description ) ) {
							echo sprintf( wp_kses( __( '<p class="floor-plan-description">%s</p>', 'noo-landmark' ), rp_allowed_html() ), $plan_description );
						}
						?>
					</div>
				</div><!-- /.rp-property-floor-plan-item -->
				<script>
					jQuery(document).ready(function ($) {
						jQuery('body').find(".rp-property-floor-plan-wrapper").lightGallery({
							thumbnail: true,
							animateThumb: true,
							showThumbByDefault: true
						});
					});
				</script>
				<?php
			}
		}

	endif;

endif;