<?php

function noo_custom_property_post_type( $post_type ) {
	return 'noo_property';
}

add_filter( 'rp_property_post_type', 'noo_custom_property_post_type' );

function noo_custom_agent_post_type( $post_type ) {
	return 'noo_agent';
}

add_filter( 'rp_agent_post_type', 'noo_custom_agent_post_type' );

function noo_custom_payment_post_type( $post_type ) {
	return 'noo_payment';
}

add_filter( 'rp_payment_post_type', 'noo_custom_payment_post_type' );

function noo_custom_membership_post_type( $post_type ) {
	return 'noo_membership';
}

add_filter( 'rp_membership_post_type', 'noo_custom_membership_post_type' );

function noo_custom_listing_type( $type ) {
	return 'property_type';
}

add_filter( 'rp_property_listing_type', 'noo_custom_listing_type' );

function noo_custom_listing_offers( $type ) {
	return 'property_status';
}

add_filter( 'rp_property_listing_offers', 'noo_custom_listing_offers' );

function noo_show_nav_menu() {
	return false;
}

add_filter( 'rp_show_nav_menu', 'noo_show_nav_menu' );

function noo_landmark_pagination_filter( $defaults ) {
	$defaults[ 'next_text' ] = '';
	$defaults[ 'prev_text' ] = '';

	return $defaults;
}

add_filter( 'rp_pagination_loop_args_defaults', 'noo_landmark_pagination_filter', 99 );

function noo_landmark_custom_page_layout( $layout ) {
	if ( RP_Agent::is_single_agent() ) {
		$layout = 'fullwidth';
	}

	return $layout;
}

add_filter( 'noo_page_layout', 'noo_landmark_custom_page_layout', 99 );

function noo_landmark_custom_sidebar_id( $layout ) {
	if ( RP_Agent::is_single_agent() ) {
		$layout = '';
	}

	return $layout;
}

add_filter( 'noo_sidebar_id', 'noo_landmark_custom_sidebar_id', 99 );

function noo_landmark_add_custom_field_type( $args ) {
	return array();
}

function noo_lankmark_custom_addon() {
	add_filter( 'RP_Custom_Fields/addField', 'noo_landmark_add_custom_field_type' );
}

add_action( 'init', 'noo_lankmark_custom_addon', 1 );

remove_action( 'rp_property_list_more_action', 'RP_My_Favorites_Process::add_button_favorites', 5 );
add_action( 'rp_property_list_more_action', 'noo_lankmark_custom_add_button_favorites', 5 );
function noo_lankmark_custom_add_button_favorites( $property ) {
	?>
	<span>
		<i class="rp-event favorites noo-tooltip-action <?php echo RP_My_Favorites_Process::get_favorites( 'icon' ); ?>"
		   data-id="<?php echo $property->ID; ?>" data-user="<?php echo RP_Agent::is_user(); ?>"
		   data-process="favorites" data-status="<?php echo RP_My_Favorites_Process::get_favorites( 'class' ); ?>"
		   data-url="<?php echo RP_AddOn_My_Favorites::get_url_favorites(); ?>"
		   data-content="Favorites"></i>
	</span>
	<?php
}

remove_action( 'rp_property_list_more_action', 'RP_Compare_Process::add_button_compare', 10 );
add_action( 'rp_property_list_more_action', 'noo_lankmark_custom_add_button_compare', 10 );
function noo_lankmark_custom_add_button_compare( $property ) {
	?>
	<span class="compare">
		<i class="rp-event compare rp-icon-exchange noo-tooltip-action" aria-hidden="true"
		   data-id="<?php echo $property->ID; ?>" data-user="<?php echo RP_Agent::is_user(); ?>"
		   data-process="compare"
		   data-thumbnail="<?php echo $property->thumbnail( 'rp-agent-avatar', false ); ?>"
		   data-content="Compare"></i>
	</span>
	<?php
}