<?php 
/**
 * Template Name: Default
 *
 * @package LandMark
 * @author  KENT <tuanlv@vietbrain.com>
 */
	/**
	 * @hook noo_before_property_detail_content
	 */
	do_action( 'noo_before_property_detail_content', $property_id, $agent_id );
?>
<div class="noo-detail-header">
	<h3 class="noo-detail-title">
		<?php echo esc_html__( 'Description', 'noo-landmark-core' ); ?>
	</h3>
	
	<div class="noo-action-post">

		<?php if ( !empty( $show_favories ) ) : ?>
			<i class="noo-tooltip-action fa <?php echo esc_attr( $icon_favorites ); ?>" data-id="<?php echo esc_attr( $property_id ); ?>" data-user="<?php echo esc_attr( $user_id ); ?>" data-process="favorites" data-status="<?php echo esc_attr( $class_favorites ); ?>" data-content="<?php echo esc_html__( 'Favorites', 'noo-landmark-core' ) ?>" data-url="<?php echo esc_attr( $url_page_favorites ); ?>"></i>
		<?php endif; ?>
					
		<?php if ( !empty( $show_social ) ) : ?>
			<div class="noo-property-sharing">
				<span>
					<i class="noo-tooltip-action ion-android-share-alt" data-id="<?php echo esc_attr( $property_id ); ?>" data-process="share"></i>
				</span>
				<?php rp_social_sharing_property( $property_id ); ?>
			</div>
		<?php endif; ?>

		<?php if ( !empty( $show_print ) ) : ?>
			<i class="noo-tooltip-action ion-printer" aria-hidden="true"  data-id="<?php echo esc_attr( $property_id ); ?>" data-process="print"></i>
		<?php endif; ?>

	</div>

</div>
<div class="noo-detail-content">
	<?php the_content(); ?>
</div>

<?php
	/**
	 * @hook noo_after_property_detail_content
	 *
	 * @noo_property_add_document - 10
	 * @noo_property_add_address - 20
	 * @noo_property_add_custom_field - 30
	 * @noo_property_add_video - 40
	 * @noo_property_add_floor_plan - 50
	 * @noo_property_add_location_on_map - 60
	 */
	do_action( 'noo_after_property_detail_content', $property_id, $agent_id );
?>